Subject: RE: Follow-up on the implementation of the Data Governance Act in Estonia
From: Kuldar Aas - JUSTDIGI <[email-masked]>
To: "[email-masked]" <[email-masked]>
Cc: Stina Avvo - JUSTDIGI <[email-masked]>
Date: Mon, 17 Aug 2026 08:04:13 +0000

Dear Daria

Apologies for the late reply - unfortunately the gathering of relevant input has been problematic over the summer.

In a nutshell the summarised response is as follows:

  *
Estonia has unofficially nominated the Data Protection Inspectorate as the competent authority;
  *
The nomination affects their work in regard to preparing the procedures for registering data intermediation service providers. These procedures should be available by the end of the year.
  *
Officially the Data Protection Inspectorate cannot accept requests from potential data intermediation providers until appropriate national legislation has been adopted. The adoption of the national legislation is currently on hold because of the ongoing negotiations around the EU Digital Omnibus, which will also slightly change the handling of data intermediation providers. As soon as there is more clarity about the Digital Omnibus, Estonia will continue with the next steps of national implementation of DGA.

Best regards,

Kuldar Aas
Data Governance Programme Lead
Government CIO Office

Ministry of Justice and Digital Affairs of Estonia
+372 522 3571

Kuldar Aas
andmehalduse programmijuht
Justiits- ja Digiministeerium
5223571

From: Justiits- ja Digiministeerium <[email-masked]>
Sent: Wednesday, July 15, 2026 1:34 PM
To: Justiits- ja Digiministeerium <[email-masked]>
Subject: FW: Follow-up on the implementation of the Data Governance Act in Estonia

From: Daria Titova <[email-masked]<mailto:[email-masked]>>
Sent: Tuesday, July 7, 2026 11:39 AM
To: Stina Avvo - JUSTDIGI <[email-masked]<mailto:[email-masked]>>
Subject: Follow-up on the implementation of the Data Governance Act in Estonia

Tähelepanu! Tegemist on välisvõrgust saabunud kirjaga.
Tundmatu saatja korral palume linke ja faile mitte avada.

Dear Stina,

I hope you are doing well.

My name is Daria Titova, and I represent myGaru OÜ, an Estonian company preparing to operate as a data intermediation service provider under the Data Governance Act.

We corresponded a few months ago regarding the implementation of the DGA in Estonia, and I wanted to kindly follow up to see whether there have been any updates since then.

In particular, we would appreciate any information you could share regarding the expected timeline for the national implementation of the Data Governance Act, the designation of the competent authority under Article 11, and the notification procedure for data intermediation service providers.

If there have been any new developments, guidance, or published documentation, we would be very grateful if you could point us in the right direction.

Thank you very much for your time and assistance. I look forward to hearing from you.

--

Best regards,
Daria Titova
myGaru
[email-masked]<mailto:[email-masked]>

[Saatja on pildi eemaldanud.]